---
author: Mike Conrad
categories:
- Software Engineering
date: "2024-11-20T16:07:50Z"
image: /wp-content/uploads/2024/03/hilger-portal-home.webp
tags:
- Portfolio
title: The case for recording user sessions
draft: true
---

About six months or so I started making the case for why we should start recording user sessions.  We decided on [Sentry Session Replays](https://sentry.io/product/session-replay/) since we were already using Sentry for error reporting.  While I can definetly appreciate the privacy concerns around this technology, for Paragon it made sense.  Plus Sentry has some PII controls built in that will automatically scrub things like text inputs.  I believe you can take it a step further by setting up a relay server but I haven't gone that road yet.

I won't get into all the specifics in this post but I did want to highlight a few reasons why you should consider capturing user sessions for you website/app.

** Disclaimer: You will likely only capture a small sample size of sessions due to the fact that some people use Ad blockers, Brave browser, etc.  That being said, take the data gathered from these sessions with a grain of salt remembering they don't reflect the patterns of EVERY user of your site **

## 1) Increased visibility into bugs
This is one of the most important reasons why you should adopt this technology.  One of the great things about Sentry (and other similiar tools) is that they record every DOM interaction and play them back into an iframe.  This means you can inspect the replays 